RagTime5SpreadsheetInternal::CellContent Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
RagTime5SpreadsheetInternal::CellContent Struct Reference

a struct to store what a cell contains More...

## Public Types
enum | IdPosition { Value =0, Union, GraphicStyle, TextStyle, BorderPrevVStyle, BorderNextVStyle, BorderPrevHStyle, BorderNextHStyle }
| enum to define the id position More...

## Public Member Functions
| CellContent (MWAWVec2i const &pos, int plane)
| constructor More...
bool | isMergedCell () const
| returns true if the cell is merged More...
void | setContent (int id, int contentId)
| sets the cell content More...
bool | hasContent () const
| returns true if the cell has no id or is merged More...

## Public Attributes
MWAWVec2i | m_position
| the cell position More...
int | m_plane
| the cell plane More...
bool | m_isMerged
| a flag to know if the cell is merged More...
int | m_id [8]
| the list of id More...

## Friends
std::ostream & | operator<< (std::ostream &o, CellContent const &cell)
| small operator<< More...

## Detailed Description

a struct to store what a cell contains

## Member Enumeration Documentation

## ◆ IdPosition

enum RagTime5SpreadsheetInternal::CellContent::IdPosition

enum to define the id position

Enumerator
Value |
Union |
GraphicStyle |
TextStyle |
BorderPrevVStyle |
BorderNextVStyle |
BorderPrevHStyle |
BorderNextHStyle |

## Constructor & Destructor Documentation

## ◆ CellContent()

RagTime5SpreadsheetInternal::CellContent::CellContent | ( | MWAWVec2i const & | pos,
|  | int | plane
| ) |  |
| inline

constructor

## Member Function Documentation

## ◆ hasContent()

bool RagTime5SpreadsheetInternal::CellContent::hasContent | ( |  | ) | const
| inline

returns true if the cell has no id or is merged

## ◆ isMergedCell()

bool RagTime5SpreadsheetInternal::CellContent::isMergedCell | ( |  | ) | const
| inline

returns true if the cell is merged

Referenced by RagTime5Spreadsheet::send().

## ◆ setContent()

void RagTime5SpreadsheetInternal::CellContent::setContent | ( | int | id,
|  | int | contentId
| ) |  |
| inline

sets the cell content

Referenced by RagTime5SpreadsheetInternal::Sheet::Row::update().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | CellContent const & | cell
| ) |  |
| friend

small operator<<

## Member Data Documentation

## ◆ m_id

int RagTime5SpreadsheetInternal::CellContent::m_id[8]

the list of id

Referenced by CellContent(), hasContent(), RagTime5Spreadsheet::send(), setContent(), and RagTime5SpreadsheetInternal::Sheet::Row::splitColumns().

## ◆ m_isMerged

bool RagTime5SpreadsheetInternal::CellContent::m_isMerged

a flag to know if the cell is merged

Referenced by hasContent(), isMergedCell(), RagTime5SpreadsheetInternal::Sheet::Row::splitColumns(), and RagTime5SpreadsheetInternal::Sheet::Row::update().

## ◆ m_plane

int RagTime5SpreadsheetInternal::CellContent::m_plane

the cell plane

Referenced by RagTime5Spreadsheet::send().

## ◆ m_position

MWAWVec2i RagTime5SpreadsheetInternal::CellContent::m_position

the cell position

Note
  if the cell is an merged cell, this corresponds to the first cell

Referenced by RagTime5Spreadsheet::send(), RagTime5SpreadsheetInternal::Sheet::Row::splitColumns(), and RagTime5SpreadsheetInternal::Sheet::Row::update().

The documentation for this struct was generated from the following file:

- RagTime5Spreadsheet.cxx